body,
.editor-styles-wrapper {
  background-color: #fff;
  color: #000;
}
.editor-styles-wrapper h1.wp-block-post-title {
  color: black !important;
}

.wp-block-image img {
  /* WP 6.3 doesn't let this work with "defined" image sizes now */
  height: auto !important;
}

/* better default to use? */
.wp-block-gallery.has-nested-images figure.wp-block-image {
  flex-grow: 0;
}

/* elements that are first remove the owl selector -- talk to visbility selector plugin dev */
.remove-top-margin {
  margin-top: 0 !important;
}

/* TODO: parent theme default? */
.wp-element-button > * {
  vertical-align: middle;
}


/* TODO: remove from parent */
header .wp-block-navigation {
  order: unset;
}
.equal-height-cols>.wp-block-column {
  max-width: none;
}

/* Smoother scrolling on same-page transitions */
/* prefers-reduced-motion for accessability */
@media (prefers-reduced-motion:no-preference) {
  html{
    scroll-behavior: smooth;
  }
}

/* hover transition for all transitionable effects */
.gfield input,
.gfield select,
.gfield textarea,
a,
button{
  transition: var(--wp--custom--transition);
}


/* block social lacks this option */
.wp-block-social-links svg:hover {
  color: var(--wp--preset--color--black) !important;
}

div h2 a:focus,
div h2 a:hover,
div h3 a:focus,
div h3 a:hover {
  color: var(--wp--preset--color--black) !important;
}

/* customize */

h1:not([class*='wp-block']),
h2:not([class*='wp-block']),
h3:not([class*='wp-block']) {
  margin-top: 0; /* WC non-block items */
}

p strong {
  font-weight: 700;
}


/* parent theme override */
.wp-site-blocks .wp-block-group .wp-block-button__link:is(:hover, :active, :focus) {
  background: var(--wp--preset--color--white) !important;
  color: var(--wp--preset--color--green) !important;
  border-color: var(--wp--preset--color--white) !important;
}
.wp-site-blocks .wp-block-group .wp-block-button__link:is(:hover, :active, :focus) img {
  filter: brightness(100);
}


/*--- Gravity Forms customization ---*/
.gform_footer input[type=submit]{
  /* submit button stles */
  border-radius: 3px!important;
  padding: 12px 28px!important;
  font-size: 15px!important;
}
.gform_footer input[type=submit]:is(:hover, :active, :focus) {
  /* submit button hover */
}

.gfield :where(input, select, textarea) {
  /* gravity form field styles */
  border: 1px solid #B9B9B9!important;
  color: #0D1A2E!important;
  border-radius: 3px!important;
  padding: 16px!important;
  block-size: 45px!important;
  line-height: 1!important;
}
.gfield :where(input, select, textarea)::placeholder {
  opacity: .4;
}

.gform_fields{
  /* Gform field spacing */
  grid-row-gap: 10px!important;
}

.form {
  max-width: 440px;
}

/* 50 - 50 covers */
.editor-styles-wrapper .is-style-image-50-50 { padding: 0;}

body:not(.block-editor-page) .is-style-image-50-50 {
  padding: 0;
}
body:not(.block-editor-page) .is-style-image-50-50 .wp-block-columns {
  gap: 0;
}
body:not(.block-editor-page) .is-style-image-50-50 .wp-block-column {
  align-self: stretch;
}

body:not(.block-editor-page) 
.is-style-image-50-50:not(.hero .is-style-image-50-50) 
.wp-block-cover__inner-container {
  padding: calc(4vw + 12px) 0px!important;
}

@media (min-width: 1280px) {
  body:not(.block-editor-page) .is-style-image-50-50 .wp-block-cover {
    position: relative;
    width: 50vw;
  }

  body:not(.block-editor-page) .is-style-image-50-50 .wp-block-column:first-child .wp-block-cover {
    left: calc(-50vw + (var(--wp--style--global--content-size) / 2));
    padding-left: calc(50vw - (var(--wp--style--global--content-size) / 2)) !important;
  }
  body:not(.block-editor-page) .is-style-image-50-50 .wp-block-column:first-child .wp-block-cover__inner-container > div.wp-block-group {
    padding-left: 0;
  }

  body:not(.block-editor-page) .is-style-image-50-50 .wp-block-column:last-child .wp-block-cover {
    padding-right: calc(50vw - (var(--wp--style--global--content-size) / 2)) !important;
  }
  body:not(.block-editor-page) .is-style-image-50-50 .wp-block-column:last-child .wp-block-cover__inner-container > div.wp-block-group {
    padding-right: 0;
  }
}

/* Hero */
/* .hero :is(.wp-block-cover__background, .wp-block-cover__inner-container) {
  width: 50%;
}

.hero .wp-block-cover{
  justify-content: start;
} */

/* Preheading */
.preheading {
  text-transform: uppercase;
  display: flex;
  align-items: center;
  gap: 12px;
}
.preheading::before {
  content: '';
  width: 50px; height: 5px;
  background-color: var(--wp--preset--color--dark-green);
}

/* Hero Preheading */
.hero-preheading {
  text-transform: uppercase;
  display: flex;
  align-items: center;
  gap: 8px;
}
.hero-preheading::before {
  content: '';
  width: 19px; height: 3px;
  background-color: var(--wp--preset--color--white);
}


/* Breadcrumb icon */
.breadcrumbs .home span {
  display: none;
}
.breadcrumbs .home::after {
  content: '';
  display: inline-block;
  height: 18px; width: 21px;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="21" height="19" fill="none"><path fill="%23050505" d="m10.5 3.698-7.49 6.767a.2.2 0 0 1-.006.042.2.2 0 0 0-.007.043v6.852a.92.92 0 0 0 .248.643.77.77 0 0 0 .586.271h5.001v-5.482h3.335v5.483h5.002q.339 0 .586-.272a.92.92 0 0 0 .248-.643V10.55a.2.2 0 0 0-.013-.085z"/><path fill="%23050505" d="m20.855 8.923-2.852-2.599V.5a.47.47 0 0 0-.118-.329.39.39 0 0 0-.3-.128h-2.5a.39.39 0 0 0-.3.128.47.47 0 0 0-.117.329v2.784L11.49.37A1.44 1.44 0 0 0 10.5 0q-.573 0-.99.371L.145 8.923A.43.43 0 0 0 0 9.23a.5.5 0 0 0 .092.335L.9 10.622q.104.128.274.157a.45.45 0 0 0 .312-.1L10.5 2.44l9.014 8.238q.104.1.273.1h.04a.43.43 0 0 0 .273-.158l.808-1.056q.105-.143.09-.336a.43.43 0 0 0-.143-.306"/></svg>');
}

/* Graphic */
.hero-geometric::after{
  content: '';
  display: block;
  width: 858px; height: 299px;
  position: absolute;
  /* z-index: 1; */
  right: 0;

  transform: translate(58%, -50px);

  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url('/wp-content/uploads/2026/03/McGraphic.png');
}
@media (max-width:781px) {
  .hero-geometric::after{ display: none; }
}

/* Block list style changes */
.wp-block-list {
  display: flex;
  flex-direction: column;
  gap: 18px;
}
.wp-block-list li {
  margin-left: 1.05em;
  padding-left: 1rem;
	list-style-image: url('data:image/svg+xml,<svg transform="translate(0, 0)" transform-origin="center" xmlns="http://www.w3.org/2000/svg" width="11" height="11" fill="none"><circle cx="5.5" cy="5.5" r="5.5" fill="%2300683f"/></svg>')!important;
}
.wp-block-list li::marker{
	font-size: 1.5em;
	line-height: 0.1em;
}
/* light lists */
.wp-block-list.is-style-light li {
  list-style-image: url('data:image/svg+xml,<svg transform="translate(0, 0)" transform-origin="center" xmlns="http://www.w3.org/2000/svg" width="11" height="11" fill="none"><circle cx="5.5" cy="5.5" r="5.5" fill="%23ffffff"/></svg>')!important;
}

/* WP DATA TABLES */
.wpDataTable {
  margin-top: 1rem!important;
}
.wpDataTable :is(th,td) {
  border-color: #E8E8E8!important;
  font-size: 13px!important;
  font-weight: 600!important;
}
.wpDataTable thead th {
  background-color: var(--wp--preset--color--green)!important;
  color: var(--wp--preset--color--white)!important;
  padding: 10px 18px!important;
}

/* Column Separators */

.column-separator {
  --column-seperator-gap: 3rem;
  gap: var(--column-seperator-gap);
}
.column-separator .wp-block-column:not(:last-child) {
  position: relative;
}

.column-separator .wp-block-column:not(:last-child)::after {
  content: '';
  display: block;
  position: absolute;
  background: #FFFFFF;
}

@media ( max-width:781px) {
  .column-separator .wp-block-column:not(:last-child)::after {
    width: 100%; height: 2px;
    bottom: calc(var(--column-seperator-gap) / 2 * -1);
    left: 0;
    background: linear-gradient(0deg, rgba(255, 255, 255, 0) 0%, rgba(192, 192, 192, 1) 48%, rgba(255, 255, 255, 0) 97%);
  }
}

@media ( min-width:781px) {
  .column-separator .wp-block-column:not(:last-child)::after {
    width: 2px; height: 100%;
    right: calc(var(--column-seperator-gap) / 2 * -1);
    top: 0;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(192, 192, 192, 1) 48%, rgba(255, 255, 255, 0) 97%);
  }
}

.expertise-card {
  padding-bottom: 160px;
  background-size: 150%;
  background-position: -40% -450%;
}

.und-white::after {
  content: '';
  margin-top: 1rem;
  display: block;
  width: 59px; height: 4px;
  background-color: var(--wp--preset--color--white);
}

/*Heros and navigation*/
.navigation {
  position: absolute;
  z-index: 2;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
}

.contact-hero {
  padding-top: calc(128px + 2rem + 4vw);
}
@media (max-width: 781px) {
  .contact-hero {
    background-image: none!important;
  }
}

.single-hero {
  padding-top: calc(128px + 2vw)!important;
}
.home-hero {
  padding-top: calc(100px + 4vw)!important
}

/*Home Industry buttons*/
.industry-select{transition: background-color .25s ease-in;}
.industry-select:hover {
  background-color: var(--wp--preset--color--dark-green);
}

.industry-logo {
  mix-blend-mode: multiply;
}